(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~app-pages-pages-module~customers-customer-module"],{

/***/ "./src/app/pages/customers/customer-routing.module.ts":
/*!************************************************************!*\
  !*** ./src/app/pages/customers/customer-routing.module.ts ***!
  \************************************************************/
/*! exports provided: CustomersRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomersRoutingModule", function() { return CustomersRoutingModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var _customer_component__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./customer.component */ "./src/app/pages/customers/customer.component.ts");
/* harmony import */ var _customers_list_customers_list_component__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./customers-list/customers-list.component */ "./src/app/pages/customers/customers-list/customers-list.component.ts");
/* harmony import */ var _customers_add_edit_customers_add_edit_component__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./customers-add-edit/customers-add-edit.component */ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.ts");
/* harmony import */ var _customers_add_edit_two_customers_add_edit_two_component__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./customers-add-edit-two/customers-add-edit-two.component */ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.ts");
/* harmony import */ var _customers_add_edit_three_customers_add_edit_three_component__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./customers-add-edit-three/customers-add-edit-three.component */ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.ts");








var routes = [
    { path: '', component: _customer_component__WEBPACK_IMPORTED_MODULE_3__["CustomerComponent"], children: [
            { path: '', redirectTo: 'listView', pathMatch: 'full' },
            { path: 'listView', component: _customers_list_customers_list_component__WEBPACK_IMPORTED_MODULE_4__["CustomersListComponent"] },
            { path: 'register', component: _customers_add_edit_customers_add_edit_component__WEBPACK_IMPORTED_MODULE_5__["CustomersAddEditComponent"] },
            { path: 'registerTwo', component: _customers_add_edit_two_customers_add_edit_two_component__WEBPACK_IMPORTED_MODULE_6__["CustomersAddEditTwoComponent"] },
            { path: 'registerThree', component: _customers_add_edit_three_customers_add_edit_three_component__WEBPACK_IMPORTED_MODULE_7__["CustomersAddEditThreeComponent"] },
            { path: 'edit/:editId', component: _customers_add_edit_customers_add_edit_component__WEBPACK_IMPORTED_MODULE_5__["CustomersAddEditComponent"] },
            { path: '**', redirectTo: 'listView', pathMatch: 'full' },
        ] },
];
var CustomersRoutingModule = /** @class */ (function () {
    function CustomersRoutingModule() {
        this.settings = {
            columns: {
                id: {
                    title: 'ID'
                },
                name: {
                    title: 'Full Name'
                },
                username: {
                    title: 'User Name'
                },
                email: {
                    title: 'Email'
                }
            }
        };
        this.data = [
            {
                id: 1,
                name: "Leanne Graham",
                username: "Bret",
                email: "Sincere@april.biz"
            },
            // ... other rows here
            {
                id: 11,
                name: "Nicholas DuBuque",
                username: "Nicholas.Stanton",
                email: "Rey.Padberg@rosamond.biz"
            }
        ];
    }
    CustomersRoutingModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
            imports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"].forChild(routes)],
            exports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"]],
        })
    ], CustomersRoutingModule);
    return CustomersRoutingModule;
}());



/***/ }),

/***/ "./src/app/pages/customers/customer.component.html":
/*!*********************************************************!*\
  !*** ./src/app/pages/customers/customer.component.html ***!
  \*********************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<router-outlet></router-outlet>"

/***/ }),

/***/ "./src/app/pages/customers/customer.component.ts":
/*!*******************************************************!*\
  !*** ./src/app/pages/customers/customer.component.ts ***!
  \*******************************************************/
/*! exports provided: CustomerComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomerComponent", function() { return CustomerComponent; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");


var CustomerComponent = /** @class */ (function () {
    function CustomerComponent() {
    }
    CustomerComponent = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"])({
            selector: 'ngx-customer',
            template: __webpack_require__(/*! ./customer.component.html */ "./src/app/pages/customers/customer.component.html"),
        })
    ], CustomerComponent);
    return CustomerComponent;
}());



/***/ }),

/***/ "./src/app/pages/customers/customer.module.ts":
/*!****************************************************!*\
  !*** ./src/app/pages/customers/customer.module.ts ***!
  \****************************************************/
/*! exports provided: CustomersModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomersModule", function() { return CustomersModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var ng2_smart_table__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ng2-smart-table */ "./node_modules/ng2-smart-table/index.js");
/* harmony import */ var _theme_theme_module__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../@theme/theme.module */ "./src/app/@theme/theme.module.ts");
/* harmony import */ var _customer_routing_module__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./customer-routing.module */ "./src/app/pages/customers/customer-routing.module.ts");
/* harmony import */ var _customers_list_customers_list_component__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./customers-list/customers-list.component */ "./src/app/pages/customers/customers-list/customers-list.component.ts");
/* harmony import */ var _customers_add_edit_customers_add_edit_component__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./customers-add-edit/customers-add-edit.component */ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.ts");
/* harmony import */ var _customer_component__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./customer.component */ "./src/app/pages/customers/customer.component.ts");
/* harmony import */ var ngx_pagination__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ngx-pagination */ "./node_modules/ngx-pagination/dist/ngx-pagination.js");
/* harmony import */ var _nebular_theme__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @nebular/theme */ "./node_modules/@nebular/theme/index.js");
/* harmony import */ var _customers_add_edit_two_customers_add_edit_two_component__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./customers-add-edit-two/customers-add-edit-two.component */ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.ts");
/* harmony import */ var _customers_add_edit_three_customers_add_edit_three_component__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./customers-add-edit-three/customers-add-edit-three.component */ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.ts");












var CustomersModule = /** @class */ (function () {
    function CustomersModule() {
    }
    CustomersModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
            imports: [
                _theme_theme_module__WEBPACK_IMPORTED_MODULE_3__["ThemeModule"],
                ng2_smart_table__WEBPACK_IMPORTED_MODULE_2__["Ng2SmartTableModule"],
                _customer_routing_module__WEBPACK_IMPORTED_MODULE_4__["CustomersRoutingModule"],
                ngx_pagination__WEBPACK_IMPORTED_MODULE_8__["NgxPaginationModule"],
                _nebular_theme__WEBPACK_IMPORTED_MODULE_9__["NbCheckboxModule"],
            ],
            declarations: [
                _customers_list_customers_list_component__WEBPACK_IMPORTED_MODULE_5__["CustomersListComponent"],
                _customers_add_edit_customers_add_edit_component__WEBPACK_IMPORTED_MODULE_6__["CustomersAddEditComponent"],
                _customer_component__WEBPACK_IMPORTED_MODULE_7__["CustomerComponent"],
                _customers_add_edit_two_customers_add_edit_two_component__WEBPACK_IMPORTED_MODULE_10__["CustomersAddEditTwoComponent"],
                _customers_add_edit_three_customers_add_edit_three_component__WEBPACK_IMPORTED_MODULE_11__["CustomersAddEditThreeComponent"]
            ],
            providers: [],
        })
    ], CustomersModule);
    return CustomersModule;
}());



/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.html":
/*!**************************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.html ***!
  \**************************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<div class=\"addDepartment-w\">\n  <div class=\"container\">\n    <div class=\"row\">\n        <div class=\"col-12\">\n          <ul class=\"list-unstyled titilList\">\n            <li class=\"headingText-w\"> Register New User /</li>\n            <li class=\"headingText-w activeLi-w\" style=\"margin-right:5px\">Company Users</li>\n          </ul>\n        </div>\n      </div>\n      <div class=\"containerContent-w\">\n        <form (ngSubmit)=\"onSubmit()\" #f=\"ngForm\">\n          <button type=\"button\" class=\"btn btn-success rightW\"  (click)=\"plusBransh()\" style=\"margin: 20px 0;\">Add New Branch</button>\n          <div class=\"formLoop\" *ngFor=\"let branch of company_branches; let i = index\">\n              <button type=\"button\" class=\"btn btn-success rightW\"  (click)=\"plusEmployee(i)\" style=\"margin: 20px 0;\">Add New Employee</button>\n              <button type=\"button\" class=\"btn btn-danger\" *ngIf=\"numOfBranshs > 1\" (click)=\"onDeleteBransh(i)\">Remove Bransh</button>\n              <div class=\"row\">\n                  <div class=\"col-12\">\n                    <div class=\"form-group\">\n                      <label for=\"branch_name\" >Branch Name<span class=\"spanReqired-w\">*</span></label>\n                      <input type=\"text\" class=\"form-control\" id=\"branch_name\" name=\"branch_name\" placeholder=\"Branch name\" ngModel [(ngModel)]=\"branch.branch_name\" required/>\n                    </div>\n                  </div>\n                  <div class=\"col-12 col-sm-12 col-md-6 formLoop\" *ngFor=\"let branch_users of branch.branch_users; let j = index\">\n                      <div class=\"row\">\n                          <div class=\"col-12\">\n                           <h5>New employee</h5>\n                          </div>\n                      </div>\n                    <div class=\"col-12 col-sm-12 col-md-12\">\n                       <div class=\"form-group\">\n                         <label for=\"name\" > Name<span class=\"spanReqired-w\">*</span></label>\n                         <input type=\"text\" class=\"form-control\" id=\"name\" name=\"name\" placeholder=\"Admin name\" ngModel [(ngModel)]=\"branch_users.name\" required/>\n                       </div>\n                    </div>\n                    <div class=\"col-12 col-sm-12 col-md-12\">\n                        <div class=\"form-group\">\n                          <label for=\"email\" > email<span class=\"spanReqired-w\">*</span></label>\n                          <input type=\"text\" class=\"form-control\" id=\"email\" name=\"email\" placeholder=\"example@example.com\" ngModel [(ngModel)]=\"branch_users.email\"  email #email=\"ngModel\" required/>\n                        </div>\n                     </div>\n                     <div class=\"col-12 col-sm-12 col-md-12\">\n                        <div class=\"form-group\">\n                          <label for=\"type\" > Type<span class=\"spanReqired-w\">*</span></label>\n                          <input type=\"text\" class=\"form-control\" id=\"type\" name=\"type\" placeholder=\" \" ngModel [(ngModel)]=\"branch_users.type\" required/>\n                        </div>\n                     </div>\n                     <div class=\"col-12 col-sm-12 col-md-12\">\n                        <div class=\"form-group\">\n                          <label for=\"password\" > password<span class=\"spanReqired-w\">*</span></label>\n                          <input type=\"password\" class=\"form-control\" id=\"password\" name=\"password\" placeholder=\" \" ngModel [(ngModel)]=\"branch_users.password\" required/>\n                        </div>\n                     </div>\n                     <div class=\"col-12 col-sm-12 col-md-12\">\n                        <div class=\"form-group\">\n                          <label for=\"password_confirmation\" > password confirmation<span class=\"spanReqired-w\">*</span></label>\n                          <input type=\"password\" class=\"form-control\" id=\"password_confirmation\" name=\"password_confirmation\" placeholder=\" \" ngModel [(ngModel)]=\"branch_users.password_confirmation\" required/>\n                        </div>\n                    </div>\n                    <div class=\"row\">\n                        <button type=\"button\" class=\"btn btn-danger\"  *ngIf=\"numOfEmployees > 1\" (click)=\"onDeleteEployee(i,j)\">Remove Employee</button>\n                      </div>\n                </div>\n              </div>\n            </div>  \n      </form>\n     </div>     \n  </div>\n</div>       "

/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.scss":
/*!**************************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.scss ***!
  \**************************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL3BhZ2VzL2N1c3RvbWVycy9jdXN0b21lcnMtYWRkLWVkaXQtdGhyZWUvY3VzdG9tZXJzLWFkZC1lZGl0LXRocmVlLmNvbXBvbmVudC5zY3NzIn0= */"

/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.ts":
/*!************************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.ts ***!
  \************************************************************************************************/
/*! exports provided: CustomersAddEditThreeComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomersAddEditThreeComponent", function() { return CustomersAddEditThreeComponent; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");


var CustomersAddEditThreeComponent = /** @class */ (function () {
    function CustomersAddEditThreeComponent() {
        this.company_branches = [
            {
                branch_name: '',
                branch_users: [
                    {
                        name: '',
                        email: '',
                        type: '',
                        password: '',
                        password_confirmation: ''
                    }
                ]
            }
        ];
    }
    CustomersAddEditThreeComponent.prototype.ngOnInit = function () {
        this.numOfBranshs = this.company_branches.length;
        this.numOfEmployees = this.company_branches[1].branch_users.length;
    };
    CustomersAddEditThreeComponent.prototype.plusEmployee = function (i) {
        this.company_branches[i].branch_users.push({
            name: '',
            email: '',
            type: '',
            password: '',
            password_confirmation: ''
        });
    };
    CustomersAddEditThreeComponent.prototype.plusBransh = function () {
        this.company_branches.push({
            branch_name: '',
            branch_users: [
                {
                    name: '',
                    email: '',
                    type: '',
                    password: '',
                    password_confirmation: ''
                }
            ]
        });
    };
    CustomersAddEditThreeComponent.prototype.onDeleteEployee = function (i, j) {
        this.company_branches[i].branch_users.slice(j, 1);
    };
    CustomersAddEditThreeComponent.prototype.onDeleteBransh = function (i) {
        this.company_branches.slice(i, 1);
    };
    CustomersAddEditThreeComponent.prototype.onSubmit = function () {
    };
    CustomersAddEditThreeComponent = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"])({
            selector: 'ngx-customers-add-edit-three',
            template: __webpack_require__(/*! ./customers-add-edit-three.component.html */ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.html"),
            styles: [__webpack_require__(/*! ./customers-add-edit-three.component.scss */ "./src/app/pages/customers/customers-add-edit-three/customers-add-edit-three.component.scss")]
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [])
    ], CustomersAddEditThreeComponent);
    return CustomersAddEditThreeComponent;
}());



/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.html":
/*!**********************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.html ***!
  \**********************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<div class=\"addDepartment-w\">\n    <div class=\"container\">\n      <div class=\"row\">\n        <div class=\"col-12\">\n        <ul class=\"list-unstyled titilList\">\n            <li class=\"headingText-w\"> Register New User /</li>\n            <li class=\"headingText-w activeLi-w\" style=\"margin-right:5px\">Company Admins</li>\n          </ul>\n        </div>\n      </div>\n      <div class=\"containerContent-w\">\n        <form (ngSubmit)=\"next()\" #f=\"ngForm\">\n          <div class=\"row formLoop\" *ngFor=\"let admin of admins; let i = index\">\n            <div class=\"row\">\n            <div class=\"col-12 col-sm-12 col-md-4\">\n              <div class=\"form-group\">\n                <label for=\"name\"  style=\"float: left; margin-left: 5px\">Admin Name<span class=\"spanReqired-w\">*</span></label>\n                <input type=\"text\" class=\"form-control\" id=\"name\" name=\"name\" placeholder=\"Admin name\" ngModel [(ngModel)]=\"admin.name\" required/>\n              </div>\n            </div>\n  \n            <div class=\"col-12 col-sm-12 col-md-4\">\n              <div class=\"form-group\">\n                <label for=\"email\"  style=\"float: left; margin-left: 5px\">Email Address<span class=\"spanReqired-w\">*</span></label>\n                <input type=\"email\" class=\"form-control\" id=\"email\" name=\"email\" placeholder=\"enter your email\" ngModel [(ngModel)]=\"admin.email\" email #email=\"ngModel\" required/>\n              </div>\n            </div>\n  \n            <div class=\"col-12 col-sm-12 col-md-4\">\n                <div class=\"form-group\">\n                  <label for=\"password\" style=\"float: left; margin-left: 5px\">password<span class=\"spanReqired-w\">*</span></label>\n                  <input type=\"password\" class=\"form-control\" placeholder=\"passwoed\" id=\"password\" name=\"password\" min=\"6\" ngModel [(ngModel)]=\"admin.password\" required/>\n                </div>\n              </div>\n              <div class=\"col-12 col-sm-12 col-md-4\">\n                <div class=\"form-group\">\n                  <label for=\"password_confirmation\" style=\"float: left; margin-left: 5px\"> password confirmation<span class=\"spanReqired-w\">*</span></label>\n                  <input type=\"password\" class=\"form-control\" placeholder=\"password confirmed\" id=\"password_confirmation\" name=\"password_confirmation\" min=\"6\" ngModel [(ngModel)]=\"admin.password_confirmation\" required/>\n                  <span class=\"validateColor\" *ngIf=\"\">password Not matching</span>\n                </div>\n              </div>\n          </div>\n          <div class=\"row\">\n            <button type=\"button\" class=\"btn btn-danger\" (click)=\"onDeleteRow(i)\" style=\"margin: 10px 15px;\">Remove</button>\n          </div>\n        </div>\n          <div class=\" row col-12\" style=\"display: contents\">\n            <button type=\"button\" class=\"btn btn-warning rightW\" (click)=\"previous()\">previous</button>\n            <!-- <button type=\"button\" class=\"btn btn-success rightW\"  (click)=\"plusAdmin()\">add</button> -->\n            <button type=\"button\" class=\"btn btn-success rightW\" [disabled]=\"!f.valid\" style=\"float: right;\" (click)=\"next()\">Next</button>\n          </div>\n        </form>\n      </div>\n    </div>\n  </div>"

/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.scss":
/*!**********************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.scss ***!
  \**********************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL3BhZ2VzL2N1c3RvbWVycy9jdXN0b21lcnMtYWRkLWVkaXQtdHdvL2N1c3RvbWVycy1hZGQtZWRpdC10d28uY29tcG9uZW50LnNjc3MifQ== */"

/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.ts":
/*!********************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.ts ***!
  \********************************************************************************************/
/*! exports provided: CustomersAddEditTwoComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomersAddEditTwoComponent", function() { return CustomersAddEditTwoComponent; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");



var CustomersAddEditTwoComponent = /** @class */ (function () {
    function CustomersAddEditTwoComponent(router, route) {
        this.router = router;
        this.route = route;
        this.admins = [{
                name: '',
                email: '',
                password: '',
                password_confirmation: ''
            }];
    }
    CustomersAddEditTwoComponent.prototype.ngOnInit = function () {
    };
    CustomersAddEditTwoComponent.prototype.previous = function () {
        this.router.navigate(['../register'], { relativeTo: this.route });
    };
    CustomersAddEditTwoComponent.prototype.next = function () {
        this.router.navigate(['../registerThree'], { relativeTo: this.route });
    };
    CustomersAddEditTwoComponent.prototype.plusAdmin = function () {
        this.admins.push({
            name: '',
            email: '',
            password: '',
            password_confirmation: ''
        });
        console.log('forms after plus', this.admins);
    };
    CustomersAddEditTwoComponent.prototype.onDeleteRow = function (index) {
        this.admins.splice(index, 1);
        console.log('files after delete ', this.admins);
    };
    CustomersAddEditTwoComponent = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"])({
            selector: 'ngx-customers-add-edit-two',
            template: __webpack_require__(/*! ./customers-add-edit-two.component.html */ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.html"),
            styles: [__webpack_require__(/*! ./customers-add-edit-two.component.scss */ "./src/app/pages/customers/customers-add-edit-two/customers-add-edit-two.component.scss")]
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_angular_router__WEBPACK_IMPORTED_MODULE_2__["Router"],
            _angular_router__WEBPACK_IMPORTED_MODULE_2__["ActivatedRoute"]])
    ], CustomersAddEditTwoComponent);
    return CustomersAddEditTwoComponent;
}());



/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.html":
/*!**************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit/customers-add-edit.component.html ***!
  \**************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<div class=\"addDepartment-w\">\n  <div class=\"container\">\n    <div class=\"row\">\n      <div class=\"col-12\">\n      <ul class=\"list-unstyled titilList\">\n          <li class=\"headingText-w\"> Register New User /</li>\n          <li class=\"headingText-w activeLi-w\" style=\"margin-right:5px\">Company general information</li>\n        </ul>\n      </div>\n    </div>\n    <div class=\"containerContent-w\">\n      <form (ngSubmit)=\"next()\" #f=\"ngForm\">\n        <div class=\"row\">\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"name\" >Company Name<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"text\" class=\"form-control\" id=\"name\" name=\"name\" placeholder=\"Company name\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"address\" >Address<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"text\" class=\"form-control\" id=\"address\" name=\"address\" placeholder=\"company address\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"website_address\">Website<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"text\" class=\"form-control\" id=\"website_address\" name=\"website_address\" placeholder=\"website link\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"phone\" >Phone Number<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"phone\" class=\"form-control\" id=\"phone\" name=\"phone\" placeholder=\"\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"commercial_number\" >commercial no.<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"number\" class=\"form-control\" id=\"commercial_number\" name=\"commercial_number\" placeholder=\"\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"industrial\" >Industrial<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"text\" class=\"form-control\" id=\"industrial\" name=\"industrial\" placeholder=\"\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"register_date\" >Register Date<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"date\" class=\"form-control\" id=\"register_date\" name=\"register_date\" placeholder=\"\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n\n          <div class=\"col-12 col-md-4\">\n            <div class=\"form-group\">\n              <label for=\"expire_date\" >Expire Date<span class=\"spanReqired-w\">*</span></label>\n              <input type=\"date\" class=\"form-control\" id=\"expire_date\" name=\"expire_date\" placeholder=\"\" ngModel [ngModel]=\"\" required/>\n            </div>\n          </div>\n        </div>\n        <div class=\" row col-12\" style=\"display: contents\">\n            <button type=\"button\" class=\"btn btn-success rightW\" [disabled]=\"!f.valid\" (click)=\"next()\" style=\"float: right;\">Next</button>\n        </div>\n      </form>\n    </div>\n  </div>\n</div>"

/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.scss":
/*!**************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit/customers-add-edit.component.scss ***!
  \**************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL3BhZ2VzL2N1c3RvbWVycy9jdXN0b21lcnMtYWRkLWVkaXQvY3VzdG9tZXJzLWFkZC1lZGl0LmNvbXBvbmVudC5zY3NzIn0= */"

/***/ }),

/***/ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.ts":
/*!************************************************************************************!*\
  !*** ./src/app/pages/customers/customers-add-edit/customers-add-edit.component.ts ***!
  \************************************************************************************/
/*! exports provided: CustomersAddEditComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomersAddEditComponent", function() { return CustomersAddEditComponent; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");



var CustomersAddEditComponent = /** @class */ (function () {
    function CustomersAddEditComponent(router, route) {
        this.router = router;
        this.route = route;
    }
    CustomersAddEditComponent.prototype.ngOnInit = function () {
    };
    CustomersAddEditComponent.prototype.next = function () {
        this.router.navigate(['../registerTwo'], { relativeTo: this.route });
    };
    CustomersAddEditComponent = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"])({
            selector: 'ngx-customers-add-edit',
            template: __webpack_require__(/*! ./customers-add-edit.component.html */ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.html"),
            styles: [__webpack_require__(/*! ./customers-add-edit.component.scss */ "./src/app/pages/customers/customers-add-edit/customers-add-edit.component.scss")]
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_angular_router__WEBPACK_IMPORTED_MODULE_2__["Router"],
            _angular_router__WEBPACK_IMPORTED_MODULE_2__["ActivatedRoute"]])
    ], CustomersAddEditComponent);
    return CustomersAddEditComponent;
}());



/***/ }),

/***/ "./src/app/pages/customers/customers-list/customers-list.component.html":
/*!******************************************************************************!*\
  !*** ./src/app/pages/customers/customers-list/customers-list.component.html ***!
  \******************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<div class=\"container\">\n\n  <div class=\"row\">\n    <div class=\"col-12\">\n      <ul class=\"list-unstyled titilList\">\n        <li class=\"headingText-w\">Customers List</li>\n      </ul>\n    </div>\n  </div>\n\n  <div class=\"containerContent-w\">\n\n  \n    <div class=\"row\"> \n        \n        <div class=\"col-12 col-sm-12 col-md-6 col-lg-6\">\n          <button type=\"button\" class=\"btn btn-outline-success butttonCreate dashButton-w\" (click)=\"onAdding()\"><i class=\"fas fa-plus marginFontAowsome-w\"></i> Add New</button>\n          <button type=\"button\" class=\"btn btn-outline-danger butttonDelete dashButton-w\"style=\"margin-left:10px\" (click)=\"onDelete()\"><i class=\"fas fa-times marginFontAowsome-w\" style=\"padding-right: 5px\"></i>Delete</button>\n        </div>\n\n        <div class=\"col-12 col-sm-12 col-md-12 col-lg-6\">\n          <div class=\"form-group textAlignRight\">\n            <span class=\"spanSelect-w\" style=\"margin-right:10px;\">\n              <span class=\"select-filter-before\">Number of Elements:</span>\n              <select [ngModel]=\"dataTableNumber\" class=\"form-control select-filter\" (input)=\"onGetValue($event)\">\n                <option value=\"5\">5</option>\n                <option value=\"10\">10</option>\n                <option value=\"15\">15</option>\n                <option value=\"20\">20</option>\n              </select>\n            </span>\n          </div>\n        </div>\n        \n    </div>\n\n    <div class=\"row\">\n      <div class=\"col-12\">\n        <div class=\"cardBody\">\n          <table class=\"table table-bordered\" >\n              <thead>\n                <tr>\n                    <th style=\"width:20px;\">\n                    <div class=\"custom-control custom-checkbox\">\n                      <nb-checkbox status=\"danger\" [(ngModel)]=\"selectedAll\" (change)=\"selectAll();\" id=\"customCheck\" name=\"example1\"></nb-checkbox>\n                    </div>\n                  </th>\n                  <th>Edit</th>\n                  <th> Name </th>\n                  <th>industrial</th>\n                  <th>website</th>\n                  <th>phone</th>\n                </tr>\n              </thead>\n              <tbody>\n                <tr *ngFor=\"let data of dataList | paginate: { itemsPerPage: perPagePagenation, currentPage: currentPage, totalItems: count }; let i = index \"  >\n                  <td style=\"width:20px;\">\n                    <div class=\"custom-control custom-checkbox centerIneerItem\">\n                      <nb-checkbox status=\"danger\" id=\"{{data.id}}\" [(ngModel)]=\"data.selected\" [value]='data' (change)=\"checkIfAllSelected()\"></nb-checkbox>\n                    </div>\n                  </td>\n                  <td><button type=\"button\" class=\"btn btn-outline-secondary defaultStyle\" (click)=\"onEdit(data.id)\"><i class=\"fas fa-edit\"></i></button></td>\n                  <td>{{ data.name }}</td>\n                  <td> {{ data.industrial }}</td>\n                  <td>{{ data.website_address }}</td>\n                  <td>{{ data.phone }}</td>\n              </tr>\n            </tbody>\n          </table>\n          \n        <pagination-controls  class=\"pagination-control\" nextLabel=\"Next\" previousLabel=\"Prev\" (pageChange)=\"onPageChange($event)\" *ngIf=\"this.count != 0\"></pagination-controls>\n      \n        </div>\n      </div>\n    </div>\n      \n\n  \n  <!-- <ng2-smart-table [settings]=\"settings\" [source]=\"dataList\" ></ng2-smart-table> -->\n\n  <div class=\"col-12\" *ngIf=\"this.count == 0\" >\n    <h2 class=\"title\"> Opps,there's no data to show  </h2>\n  </div>\n  </div>\n</div>\n\n"

/***/ }),

/***/ "./src/app/pages/customers/customers-list/customers-list.component.scss":
/*!******************************************************************************!*\
  !*** ./src/app/pages/customers/customers-list/customers-list.component.scss ***!
  \******************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "\n/*# sourceMappingURL=data:application/json;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiIsImZpbGUiOiJzcmMvYXBwL3BhZ2VzL2N1c3RvbWVycy9jdXN0b21lcnMtbGlzdC9jdXN0b21lcnMtbGlzdC5jb21wb25lbnQuc2NzcyJ9 */"

/***/ }),

/***/ "./src/app/pages/customers/customers-list/customers-list.component.ts":
/*!****************************************************************************!*\
  !*** ./src/app/pages/customers/customers-list/customers-list.component.ts ***!
  \****************************************************************************/
/*! exports provided: CustomersListComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomersListComponent", function() { return CustomersListComponent; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _shared_shared_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../shared/shared.service */ "./src/app/shared/shared.service.ts");
/* harmony import */ var _angular_common_http__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/common/http */ "./node_modules/@angular/common/fesm5/http.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm5/router.js");
/* harmony import */ var ngx_toastr__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ngx-toastr */ "./node_modules/ngx-toastr/fesm5/ngx-toastr.js");
/* harmony import */ var _shared_pages_service__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../shared/pages.service */ "./src/app/shared/pages.service.ts");
/* harmony import */ var ng2_smart_table__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ng2-smart-table */ "./node_modules/ng2-smart-table/index.js");
/* harmony import */ var _core_data_smart_table__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../@core/data/smart-table */ "./src/app/@core/data/smart-table.ts");









var CustomersListComponent = /** @class */ (function () {
    function CustomersListComponent(auth, http, route, router, toaster, pageser, service) {
        this.auth = auth;
        this.http = http;
        this.route = route;
        this.router = router;
        this.toaster = toaster;
        this.pageser = pageser;
        this.service = service;
        this.source = new ng2_smart_table__WEBPACK_IMPORTED_MODULE_7__["LocalDataSource"]();
        this.dataList = [];
        this.dataListIds = [];
        this.selectListIds = [];
        this.dataTableNumber = 5;
        this.currentPage = 1;
        this.company_registrtion = {
            company_name: '',
            phone: '',
            commercial_number: '',
            industrial: '',
            website_address: '',
            address: '',
            total_users_request: '',
            register_date: '',
            expire_date: '',
            logo_photo: '',
            company_admins: [
                {
                    name: '',
                    email: '',
                    password: '',
                    password_confirmation: ''
                }
            ],
            company_branches: [
                {
                    branch_name: '',
                    branch_users: [
                        {
                            name: '',
                            email: '',
                            type: '',
                            position: '',
                            phone: '',
                            hire_date: '',
                            is_active: null,
                            password: '',
                            password_confirmation: ''
                        }
                    ]
                }
            ]
        };
    }
    CustomersListComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.pageser.getListData(this.currentPage, this.dataTableNumber, 'all', 'customers')
            .subscribe(function (res) {
            console.log(res);
            _this.dataList = res[('companies')];
            console.log(_this.dataList);
            _this.count = res[('count')];
            console.log(_this.count);
            _this.perPagePagenation = res[('per_page')];
        }, function (err) {
            console.log(err);
        });
    };
    CustomersListComponent.prototype.onGetValue = function (event) {
        var _this = this;
        this.dataTableNumber = event.target.value;
        console.log(this.dataTableNumber);
        this.dataList = [];
        this.pageser.getListData(this.currentPage, this.dataTableNumber, 'all', 'customers')
            .subscribe(function (res) {
            console.log(res);
            _this.dataList = res[('companies')];
            console.log(_this.dataList);
            _this.count = res[('count')];
            _this.perPagePagenation = res[('per_page')];
        }, function (err) {
            console.log(err);
        });
    };
    CustomersListComponent.prototype.onPageChange = function (pagenationNumber) {
        var _this = this;
        this.currentPage = pagenationNumber;
        this.pageser.getListData(pagenationNumber, this.dataTableNumber, 'all', 'customers')
            .subscribe(function (res) {
            console.log(res);
            _this.dataList = [];
            _this.dataList = res[('users')];
            _this.count = res[('count')];
            _this.perPagePagenation = res[('per_page')];
        }, function (err) {
            console.log(err);
        });
    };
    //make all checkbox of user checked 
    CustomersListComponent.prototype.selectAll = function () {
        console.log('selected alllllll');
        for (var i = 0; i < this.dataList.length; i++) {
            this.dataList[i].selected = this.selectedAll;
        }
    };
    CustomersListComponent.prototype.checkIfAllSelected = function () {
        this.selectedAll = this.dataList.every(function (item) {
            return item.selected == true;
        });
    };
    CustomersListComponent.prototype.onDelete = function () {
        var _this = this;
        this.dataListIds = [];
        for (var i = 0; i < this.dataList.length; i++) {
            if (this.dataList[i].selected == true) {
                this.dataListIds.push(this.dataList[i].id);
            }
        }
        console.log(this.dataListIds);
        if (this.dataListIds.length > 0) {
            this.pageser.deleteItem(this.dataListIds, 'customers ').subscribe(function (res) {
                console.log(res);
                _this.toaster.success('Deleted');
                _this.dataList = [];
                _this.pageser.getListData(_this.currentPage, _this.dataTableNumber, 'all', 'customers').subscribe(function (res) {
                    console.log(res);
                    _this.dataList = res['companies'];
                    _this.count = res['count'];
                    _this.perPagePagenation = res['per_page'];
                }, function (err) {
                    console.log(err);
                    ;
                });
            }, function (err) {
                console.log(err);
                _this.toaster.error('sorry something went wrong!');
            });
        }
        else {
            this.toaster.warning('No thing to delete');
        }
    };
    CustomersListComponent.prototype.onAdding = function () {
        this.router.navigate(['../register'], { relativeTo: this.route });
        localStorage.setItem('company_registrtion', JSON.stringify(this.company_registrtion));
    };
    CustomersListComponent.prototype.onEdit = function (editId) {
        this.router.navigate(['../edit/' + editId], { relativeTo: this.route });
        console.log(editId);
    };
    CustomersListComponent = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"])({
            selector: 'ngx-customers-list',
            template: __webpack_require__(/*! ./customers-list.component.html */ "./src/app/pages/customers/customers-list/customers-list.component.html"),
            styles: [__webpack_require__(/*! ./customers-list.component.scss */ "./src/app/pages/customers/customers-list/customers-list.component.scss")]
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_shared_shared_service__WEBPACK_IMPORTED_MODULE_2__["SharedService"],
            _angular_common_http__WEBPACK_IMPORTED_MODULE_3__["HttpClient"],
            _angular_router__WEBPACK_IMPORTED_MODULE_4__["ActivatedRoute"],
            _angular_router__WEBPACK_IMPORTED_MODULE_4__["Router"],
            ngx_toastr__WEBPACK_IMPORTED_MODULE_5__["ToastrService"],
            _shared_pages_service__WEBPACK_IMPORTED_MODULE_6__["PagesService"],
            _core_data_smart_table__WEBPACK_IMPORTED_MODULE_8__["SmartTableData"]])
    ], CustomersListComponent);
    return CustomersListComponent;
}());



/***/ })

}]);
//# sourceMappingURL=default~app-pages-pages-module~customers-customer-module.js.map